Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0011701 [DCSS] Bug Report minor always 2018-10-02 06:59 2019-01-31 01:12
Reporter CanOfWorms View Status public  
Assigned To ebering
Priority normal Resolution done  
Status resolved   Product Branch longterm development (0.25+)
Summary 0011701: Guardian Golem clouds don't dissipate when leaving LOS
Description Flame clouds created by a guardian golem's explosion do not immediately disappear when they leave the player's LOS, which is contrary to standard cloud behavior. This is also contrary to how inner flamed monsters behave, e.g. clouds from an inner flamed friendly snake created by Sticks to Snakes will dissipate when leaving LOS.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0033016)
Stenella (reporter)
2019-01-27 22:05

This is because

https://github.com/crawl/crawl/blob/master/crawl-ref/source/cloud.cc#L496 [^]

only dissipates clouds that belong to the player.

Tested:
Clouds generated via sticks to snakes -> inner flame are tagged to the player
Clouds generated via conjure flame are tagged to the player
Clouds generated via guardian golem explosion are untagged (source = 0)
(0033024)
ebering (developer)
2019-01-31 01:12

Fixed in 0.24-a0-8-gbed441b

- Issue History
Date Modified Username Field Change
2018-10-02 06:59 CanOfWorms New Issue
2019-01-27 22:05 Stenella Note Added: 0033016
2019-01-27 22:06 Stenella Note Added: 0033017
2019-01-27 22:06 Stenella Note Deleted: 0033017
2019-01-31 01:12 ebering Note Added: 0033024
2019-01-31 01:12 ebering Status new => resolved
2019-01-31 01:12 ebering Resolution open => done
2019-01-31 01:12 ebering Assigned To => ebering


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker